at.chipkarte.client.rez.soap

## Class ERezeptVerordner

- Object
- - at.chipkarte.client.rez.soap.ERezeptVerordner

-     public class ERezeptVerordner
      extends Object

  Daten eines e-Rezepts für den Verordner.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ERezeptVerordner()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getAbsAbgleichAntragsId()` Id des ABS Antrags der für den Abgleich relevant ist/war.
    `String` | `getAbsAbgleichinformation()` Information hinsichtlich des ABS Abgleichs.
    `Adressdaten` | `getAnschriftPatient()` Adressdaten des Patienten.
    `Partnerdaten` | `getAussteller()` Partnerdaten des Ausstellers.
    `String` | `getAusstellungsdatum()` Datum der Ausstellung.
    `String` | `getBandagistenabgabeMoeglich()` Bandagistenabgabe möglich.
    `String` | `getEkvkAnspruch()` Ermittelter zuständiger KV-Träger des EKVK-Patienten.
    `EkvkPatient` | `getEkvkPatient()` EKVK Daten des EKVK-Patienten.
    `String` | `getEmedId()` EMED-ID (DokumentenId) für dieses Dokument.
    `String` | `getFachgebiet()` Fachgebiet.
    `String` | `getFotoInformation()` Information zum benötigten Foto des Patienten für das Ausstellen einer neuen e-card.
    `String` | `getGueltigBis()` Berechnetes Gültig Bis Datum des e-Rezeptes.
    `String` | `getGueltigBisErstabgabe()` Berechnetes Datum des Privatrezeptes bis zu dem die erste Abgabe erfolgt sein muss.
    `String` | `getRezeptart()` Information um welche Art von Rezept es sich handelt.
    `javax.activation.DataHandler` | `getRezeptAusdruck()` e-Rezept Ausdruck.
    `String` | `getRezId()` Eindeutige ID eines e-Rezeptes.
    `String` | `getStorniert()` Kennzeichen, ob das Rezept storniert ist.
    `String` | `getStorniertAm()` Datum der Stornierung.
    `String` | `getSuchtgift()` Suchtgift.
    `SvAnspruch` | `getSvAnspruch()` Anspruchsdaten des SV-Patienten.
    `SvPatient` | `getSvPatient()` Personendaten des SV-Patienten.
    `Verordnung[]` | `getVerordnungen()` Verordnungen.
    `boolean` | `isAbsAbgleichMoeglich()` Information für das e-Rezept, ob noch ein Abgleich mit ABS möglich ist.
    `boolean` | `isEmedUebermittelbar()` Information, ob das e-Rezept noch an Emed übermittelbar ist.
    `boolean` | `isStornierbar()` Information, ob das e-Rezept noch stornierbar ist.
    `void` | `setAbsAbgleichAntragsId(String absAbgleichAntragsId)`
    `void` | `setAbsAbgleichinformation(String absAbgleichinformation)`
    `void` | `setAbsAbgleichMoeglich(boolean absAbgleichMoeglich)`
    `void` | `setAnschriftPatient(Adressdaten anschriftPatient)`
    `void` | `setAussteller(Partnerdaten aussteller)`
    `void` | `setAusstellungsdatum(String ausstellungsdatum)`
    `void` | `setBandagistenabgabeMoeglich(String bandagistenabgabeMoeglich)`
    `void` | `setEkvkAnspruch(String ekvkAnspruch)`
    `void` | `setEkvkPatient(EkvkPatient ekvkPatient)`
    `void` | `setEmedId(String emedId)`
    `void` | `setEmedUebermittelbar(boolean emedUebermittelbar)`
    `void` | `setFachgebiet(String fachgebiet)`
    `void` | `setFotoInformation(String fotoInformation)`
    `void` | `setGueltigBis(String gueltigBis)`
    `void` | `setGueltigBisErstabgabe(String gueltigBisErstabgabe)`
    `void` | `setRezeptart(String rezeptart)`
    `void` | `setRezeptAusdruck(javax.activation.DataHandler rezeptAusdruck)`
    `void` | `setRezId(String rezId)`
    `void` | `setStornierbar(boolean stornierbar)`
    `void` | `setStorniert(String storniert)`
    `void` | `setStorniertAm(String storniertAm)`
    `void` | `setSuchtgift(String suchtgift)`
    `void` | `setSvAnspruch(SvAnspruch svAnspruch)`
    `void` | `setSvPatient(SvPatient svPatient)`
    `void` | `setVerordnungen(Verordnung[] verordnungen)`

    - ### Methods inherited from class Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ERezeptVerordner

          public ERezeptVerordner()

  - ### Method Detail

    - #### getRezId

          public String getRezId()

      Eindeutige ID eines e-Rezeptes.
      Format: 12-stellig
      Angabe: Muss.
      Returns:
        Returns the rezId.

    - #### setRezId

          public void setRezId(String rezId)

    - #### getRezeptart

          public String getRezeptart()

      Information um welche Art von Rezept es sich handelt.
      Angabe: Muss.
      Mögliche Werte: `RezeptartConstants`.
      Returns:
        Rezeptart.

    - #### setRezeptart

          public void setRezeptart(String rezeptart)

    - #### getSvPatient

          public SvPatient getSvPatient()

      Personendaten des SV-Patienten. Siehe `SvPatient`.
      Angabe: Bedingt. Bei Privatrezepten ist immer entweder der SV-Patient oder der EKVK-Patient versorgt. Bei Kassenrezepten kann der SV-Patient, der EKVK-Patient oder keine Patienteninformation (nur möglich bei Blanko/REZID Rezepten ohne vorliegende Abgabe) versorgt sein.
      Returns:
        SvPatient

    - #### setSvPatient

          public void setSvPatient(SvPatient svPatient)

    - #### getSvAnspruch

          public SvAnspruch getSvAnspruch()

      Anspruchsdaten des SV-Patienten. Siehe `SvAnspruch`.
      Angabe: Bedingt. Nie versorgt bei Privatrezepten.
      Returns:
        SvAnspruch

    - #### setSvAnspruch

          public void setSvAnspruch(SvAnspruch svAnspruch)

    - #### getEkvkPatient

          public EkvkPatient getEkvkPatient()

      EKVK Daten des EKVK-Patienten. Siehe `EkvkPatient`.
      Angabe: Bedingt. Bei Privatrezepten ist immer entweder der SV-Patient oder der EKVK-Patient versorgt. Bei Kassenrezepten kann der SV-Patient, der EKVK-Patient oder keine Patienteninformation (nur möglich bei Blanko/REZID Rezepten ohne vorliegende Abgabe) versorgt sein.
      Returns:
        EkvkPatient

    - #### setEkvkPatient

          public void setEkvkPatient(EkvkPatient ekvkPatient)

    - #### getEkvkAnspruch

          public String getEkvkAnspruch()

      Ermittelter zuständiger KV-Träger des EKVK-Patienten.
      Mögliche Werte siehe `getSVTs`.
      Angabe: Bedingt. Nie versorgt bei Privatrezepten.
      Returns:
        KVT für EkvkAnspruch

    - #### setEkvkAnspruch

          public void setEkvkAnspruch(String ekvkAnspruch)

    - #### getAnschriftPatient

          public Adressdaten getAnschriftPatient()

      Adressdaten des Patienten. Siehe `Adressdaten`.
      Angabe: Kann.
      Returns:
        AnschriftPatient

    - #### setAnschriftPatient

          public void setAnschriftPatient(Adressdaten anschriftPatient)

    - #### getGueltigBis

          public String getGueltigBis()

      Berechnetes Gültig Bis Datum des e-Rezeptes.
      Format: TT.MM.JJJJ
      Angabe: Muss.
      Returns:
        Gültig Bis

    - #### setGueltigBis

          public void setGueltigBis(String gueltigBis)

    - #### getGueltigBisErstabgabe

          public String getGueltigBisErstabgabe()

      Berechnetes Datum des Privatrezeptes bis zu dem die erste Abgabe erfolgt sein muss.
      Format: TT.MM.JJJJ
      Angabe: Bedingt. Immer versorgt bei einem Privatrezept. Nie versorgt bei einem Kassenrezept.
      Returns:
        GültigBis Erstabgabedatum

    - #### setGueltigBisErstabgabe

          public void setGueltigBisErstabgabe(String gueltigBisErstabgabe)

    - #### isStornierbar

          public boolean isStornierbar()

      Information, ob das e-Rezept noch stornierbar ist.
      Angabe: Muss.
      Returns:
        stornierbar

    - #### setStornierbar

          public void setStornierbar(boolean stornierbar)

    - #### getStorniert

          public String getStorniert()

      Kennzeichen, ob das Rezept storniert ist.
      Mögliche Werte: `KennzeichenConstants.JA`.
      Angabe: Kann.
      Returns:
        storniert

    - #### setStorniert

          public void setStorniert(String storniert)

    - #### getStorniertAm

          public String getStorniertAm()

      Datum der Stornierung.
      Format: TT.MM.JJJJ
      Angabe: Bedingt. (Befüllt wenn "Storniert" gleich "Ja" ist)
      Returns:
        Storniert am

    - #### setStorniertAm

          public void setStorniertAm(String storniertAm)

    - #### getAbsAbgleichinformation

          public String getAbsAbgleichinformation()

      Information hinsichtlich des ABS Abgleichs.
      Mögliche Werte: `AbsAbgleichinformation`.
      Angabe: Kann.
      Hinweis: Die Informationen beziehen sich immer nur auf den einen möglichen ABS Antrag der bei e-Rezepterstellung bei Bedarf erzeugt wurde. Der Parameter bleibt daher leer, wenn bei der Erstellung des e-Rezeptes kein neuer ABS-Antrag ausgestellt wurde. Verordnungen mit einer Referenz auf bereits bestehende ABS Anträge gelten bereits als "abgegelichen" - da zu diesen Anträgen bereits eine Antwort vorhanden sein musste um überhaupt eine Referenz darauf zu erstellen.
      Returns:
        ABS Abgleichinformation

    - #### setAbsAbgleichinformation

          public void setAbsAbgleichinformation(String absAbgleichinformation)

    - #### getAbsAbgleichAntragsId

          public String getAbsAbgleichAntragsId()

      Id des ABS Antrags der für den Abgleich relevant ist/war.
      Format: maximal 38-Stellen.
      Angabe: Kann.
      Hinweis: Die Informationen beziehen sich immer nur auf den einen möglichen ABS Antrag der bei e-Rezepterstellung bei Bedarf erzeugt wurde. Der Parameter bleibt daher leer, wenn bei der Erstellung des e-Rezeptes kein neuer ABS-Antrag ausgestellt wurde. Verordnungen, mit einer Referenz auf bereits bestehende ABS Anträge, gelten bereits als abgeglichen, da zu diesen Anträgen bereits eine Antwort vorhanden sein musste um überhaupt eine Referenz darauf zu erstellen.
      Returns:
        ABS Abgleich AntragsId

    - #### setAbsAbgleichAntragsId

          public void setAbsAbgleichAntragsId(String absAbgleichAntragsId)

    - #### isAbsAbgleichMoeglich

          public boolean isAbsAbgleichMoeglich()

      Information für das e-Rezept, ob noch ein Abgleich mit ABS möglich ist.
      Angabe: Muss.
      Returns:
        ABS Abgleich möglich

    - #### setAbsAbgleichMoeglich

          public void setAbsAbgleichMoeglich(boolean absAbgleichMoeglich)

    - #### isEmedUebermittelbar

          public boolean isEmedUebermittelbar()

      Information, ob das e-Rezept noch an Emed übermittelbar ist.
      Angabe: Muss.
      Returns:
        An Emed übermittelbar.

    - #### setEmedUebermittelbar

          public void setEmedUebermittelbar(boolean emedUebermittelbar)

    - #### getRezeptAusdruck

          public javax.activation.DataHandler getRezeptAusdruck()

      e-Rezept Ausdruck.
      Angabe: Bedingt.
      Returns:
        Rezeptausdruck

    - #### setRezeptAusdruck

          public void setRezeptAusdruck(javax.activation.DataHandler rezeptAusdruck)

    - #### getAusstellungsdatum

          public String getAusstellungsdatum()

      Datum der Ausstellung.
      Format: TT.MM.JJJJ
      Angabe: Muss.
      Returns:
        Ausstellungsdatum

    - #### setAusstellungsdatum

          public void setAusstellungsdatum(String ausstellungsdatum)

    - #### getAussteller

          public Partnerdaten getAussteller()

      Partnerdaten des Ausstellers. Siehe `Partnerdaten`.
      Angabe: Muss.
      Returns:
        Aussteller.

    - #### setAussteller

          public void setAussteller(Partnerdaten aussteller)

    - #### getFachgebiet

          public String getFachgebiet()

      Fachgebiet.
      Mögliche Werte siehe `getFachgebiete`.
      Angabe: Muss.
      Returns:
        Code des Fachgebietes

    - #### setFachgebiet

          public void setFachgebiet(String fachgebiet)

    - #### getVerordnungen

          public Verordnung[] getVerordnungen()

      Verordnungen. Siehe `Verordnung`.
      Format: 0 bis 10 Elemente.
      Angabe: Kann.
      Returns:
        Verordnungen

    - #### setVerordnungen

          public void setVerordnungen(Verordnung[] verordnungen)

    - #### getEmedId

          public String getEmedId()

      EMED-ID (DokumentenId) für dieses Dokument.
      Format: 12-stellig
      Angabe: Kann.
      Returns:
        Returns the EMED-ID.

    - #### setEmedId

          public void setEmedId(String emedId)

    - #### getFotoInformation

          public String getFotoInformation()

      Information zum benötigten Foto des Patienten für das Ausstellen einer neuen e-card.
      Format: maximal 160 stellig
      Angabe: Kann.
      Returns:
        Foto-Information

    - #### setFotoInformation

          public void setFotoInformation(String fotoInformation)

    - #### getBandagistenabgabeMoeglich

          public String getBandagistenabgabeMoeglich()

      Bandagistenabgabe möglich. Wenn JA, dann können Bandagisten dieses Rezept mit e-card abfragen.
      Mögliche Werte: `KennzeichenConstants.JA`.
      Angabe: Kann.
      Returns:
        Bandagistenabgabe möglich

    - #### setBandagistenabgabeMoeglich

          public void setBandagistenabgabeMoeglich(String bandagistenabgabeMoeglich)

    - #### getSuchtgift

          public String getSuchtgift()

      Suchtgift. Wenn JA, dann ist dieses Rezept ein Suchtgiftrezept.
      Mögliche Werte: `KennzeichenConstants.JA`.
      Angabe: Kann.
      Returns:
        Suchtgift

    - #### setSuchtgift

          public void setSuchtgift(String suchtgift)